Skip to Content.
Sympa Menu

sm-commit - [[SM-Commit] ] GIT changes to master quill by Ismael Luceno (67863419a6aa7416e9b03e0191ef832a3a040628)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Ismael Luceno <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org, sm-commit AT lists.sourcemage.org
  • Subject: [[SM-Commit] ] GIT changes to master quill by Ismael Luceno (67863419a6aa7416e9b03e0191ef832a3a040628)
  • Date: Tue, 18 Aug 2026 09:43:17 +0000

GIT changes to master quill by Ismael Luceno <ismael AT sourcemage.org>:

usr/bin/quill | 9 +++++----
var/lib/quill/modules/libcopy | 6 +++++-
2 files changed, 10 insertions(+), 5 deletions(-)

New commits:
commit 67863419a6aa7416e9b03e0191ef832a3a040628
Author: Ismael Luceno <ismael AT sourcemage.org>
Commit: Ismael Luceno <ismael AT sourcemage.org>

Streamline questions about new spells

diff --git a/usr/bin/quill b/usr/bin/quill
index 8270334..b3b329e 100755
--- a/usr/bin/quill
+++ b/usr/bin/quill
@@ -166,9 +166,10 @@ fi
if [[ "$QUILL_UPDATE" == "on" ]]
then
SPELL_NAME=$QUILL_TARGET
- if ! codex_does_spell_exist $SPELL_NAME; then
- query "Is $SPELL_NAME a new spell in QUILL_GIT_DIR?" n ||
- exit 6
+ if ! codex_does_spell_exist $SPELL_NAME &&
+ [[ ! -d $QUILL_SPELL_DIR/$SPELL_NAME ]]; then
+ copy_git_sub || exit 6
+ unset GRIMOIRE2 SECTION2
fi
ask_and_copy_over || exit 7
cd $QUILL_SPELL_DIR/$SPELL_NAME
@@ -293,7 +294,7 @@ then
if [[ ! -e $GRIMOIRE/$SECTION/$SPELL_NAME ]]
then
error_msg "Spell not found in the grimoire!"
- if query "Is $SPELL_NAME a new spell in QUILL_GIT_DIR?" n
+ if query "Add $SPELL_NAME to a grimoire?" n
then
quill_final_put_in_grimoire
fi
diff --git a/var/lib/quill/modules/libcopy b/var/lib/quill/modules/libcopy
index 36bbcba..bcc7c5b 100644
--- a/var/lib/quill/modules/libcopy
+++ b/var/lib/quill/modules/libcopy
@@ -132,11 +132,15 @@ function copy_from_git()
function ask_and_copy_over()
{
local reply noop_answer="No" # noop_answer needs to be only one word!
+ local -a sources=()

[[ ! -d $QUILL_SPELL_DIR/$SPELL_NAME ]] && unset noop_answer

+ codex_does_spell_exist $SPELL_NAME && sources=("The grimoire")
+ sources+=("QUILL_GIT_DIR")
+
#copy spell over and move there
- query_list "Do you want to copy the spell from someplace?" reply "The
grimoire" "The grimoire" "QUILL_GIT_DIR" $noop_answer
+ query_list "Do you want to copy the spell from someplace?" reply
"${sources[0]}" "${sources[@]}" $noop_answer

[[ $reply == $noop_answer ]] && return 0
if [[ $reply == "The grimoire" ]]


  • [[SM-Commit] ] GIT changes to master quill by Ismael Luceno (67863419a6aa7416e9b03e0191ef832a3a040628), Ismael Luceno, 08/18/2026

Archive powered by MHonArc 2.6.24.

Top of Page